Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.text
Class AbstractCharEncoder

    java.lang.Object
      org.jboss.portal.common.text.AbstractCharEncoder

All Implemented Interfaces:
  CharEncoder

Direct Known Subclasses:
  EntityEncoder, FastURLDecoder, FastURLEncoder

    public abstract class AbstractCharEncoder

extends java.lang.Object
implements CharEncoder

Version:
  $Revision: 1.1 $
Author:
  Julien Viet

Constructor Summary
`AbstractCharEncoder()`

Method Summary
`void` | `encode(char[] chars, CharWriter writer)`
`void` | `encode(char[] chars, int off, int len, CharWriter writer)`
`void` | `encode(char c, CharWriter writer)`
`void` | `encode(java.lang.CharSequence s, CharWriter writer)`
`java.lang.String` | `encode(java.lang.String string)`
`protected abstract void` | `safeEncode(char[] chars, int off, int len, CharWriter writer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractCharEncoder

    public AbstractCharEncoder()

Method Detail

### encode

    public void encode(char[] chars,
                       int off,
                       int len,
                       CharWriter writer)
                throws EncodingException

  Specified by:
    `encode` in interface `CharEncoder`
  Parameters:
    `chars` - the chars to encode
    `off` - the offset in the char array
    `len` - the lenght of chars to encode
    `writer` - the writer to use
  Throws:
    `EncodingException` - an encoding exception

### encode

    public void encode(char[] chars,
                       CharWriter writer)
                throws EncodingException

  Specified by:
    `encode` in interface `CharEncoder`
  Parameters:
    `chars` - the chars to encode
    `writer` - the writer to use
  Throws:
    `EncodingException` - an encoding exception

### encode

    public void encode(java.lang.CharSequence s,
                       CharWriter writer)
                throws EncodingException

  Specified by:
    `encode` in interface `CharEncoder`
  Parameters:
    `s` - the sequence to encode
    `writer` - the writer to use
  Throws:
    `EncodingException` - an encoding exception

### encode

    public void encode(char c,
                       CharWriter writer)
                throws EncodingException

  Specified by:
    `encode` in interface `CharEncoder`
  Parameters:
    `c` - the char to encode
    `writer` - the writer to use
  Throws:
    `EncodingException` - an encoding exception

### encode

    public java.lang.String encode(java.lang.String string)
                            throws java.lang.IllegalArgumentException

  Specified by:
    `encode` in interface `CharEncoder`
  Parameters:
    `string` - the String to encode
  Returns:
    the encoded String
  Throws:
    `java.lang.IllegalArgumentException` - if the specified String is `null`

### safeEncode

    protected abstract void safeEncode(char[] chars,
                                       int off,
                                       int len,
                                       CharWriter writer)
                                throws EncodingException

  Throws:
    `EncodingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.